Loading...
Searching...
No Matches
Exiv2::Internal::TagVocabulary Struct Reference

Helper structure for lookup tables for translations of controlled vocabulary strings to their descriptions. More...

`#include <tags_int.hpp>`

## Public Member Functions

bool | operator== (const std::string &key) const
| Comparison operator for use with the find template.

## Public Attributes

const char * | voc_
| Vocabulary string.
const char * | label_
| Description of the vocabulary string.

## Detailed Description

Helper structure for lookup tables for translations of controlled vocabulary strings to their descriptions.

## Member Function Documentation

## operator==()

bool Exiv2::Internal::TagVocabulary::operator== | ( | const std::string & | key | ) | const

Comparison operator for use with the find template.

Compare vocabulary strings like "PR-NON" with keys like "http://ns.useplus.org/ldf/vocab/PR-NON" and return true if the vocabulary string matches the end of the key.

References voc_.

The documentation for this struct was generated from the following files:

- tags_int.hpp
- tags.cpp